autogen.sh error with autotools 1.13 on Mac OS X 10.8

02/20/2013 11:25 PM - Deil Christoph

Status: Closed Start date: 02/20/2013

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

On my Mac I now have autotools 1.13 from Macports and autogen.sh doesn't work any more.

Jürgen, can you reproduce or should I investigate?

This is what I get on a fresh git checkout of the devel branch:

$ ./autogen.sh

glibtoolize: putting auxiliary files in `.'.

glibtoolize: copying file `./ltmain.sh'

glibtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.

glibtoolize: copying file `m4/libtool.m4'

glibtoolize: copying file `m4/ltoptions.m4'

glibtoolize: copying file `m4/ltsugar.m4'

glibtoolize: copying file `m4/ltversion.m4'

glibtoolize: copying file `m4/lt~obsolete.m4'

configure.ac:38: error: 'AM_CONFIG_HEADER': this macro is obsolete.

    You should use the 'AC_CONFIG_HEADERS' macro instead.

/opt/local/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...

configure.ac:38: the top level

autom4te: /opt/local/bin/gm4 failed with exit status: 1

aclocal: error: echo failed with exit status: 1

configure.ac:36: error: possibly undefined macro: AM_INIT_AUTOMAKE

      If this token and others are legitimate, please use m4_pattern_allow.

      See the Autoconf documentation.

configure.ac:38: error: possibly undefined macro: AM_CONFIG_HEADER

configure.ac:516: error: possibly undefined macro: AM_CONDITIONAL

configure.ac:587: error: possibly undefined macro: AC_PROG_LIBTOOL

configure.ac:682: error: possibly undefined macro: AC_MSG_WARN

configure.ac:765: error: possibly undefined macro: AC_MSG_NOTICE

configure.ac:770: error: possibly undefined macro: AM_PATH_PYTHON

configure.ac:780: error: possibly undefined macro: AM_PYTHON_CHECK_VERSION

autoheader: error: AC_CONFIG_HEADERS not found in configure.ac

configure.ac: error: no proper invocation of AM_INIT_AUTOMAKE was found.

configure.ac: You should verify that configure.ac invokes AM_INIT_AUTOMAKE,

configure.ac: that aclocal.m4 is present in the top-level directory,

configure.ac: and that aclocal.m4 was recently regenerated (using aclocal)

configure.ac:76: installing './config.guess'

configure.ac:76: installing './config.sub'

configure.ac:580: installing './install-sh'

Makefile.am:7: error: WITH_INST does not appear in AM_CONDITIONAL

Makefile.am:100: error: DX_COND_doc does not appear in AM_CONDITIONAL

Makefile.am:103: error: DX_COND_html does not appear in AM_CONDITIONAL

Makefile.am:108: error: DX_COND_chm does not appear in AM_CONDITIONAL

Makefile.am:110: error: DX_COND_chi does not appear in AM_CONDITIONAL

Makefile.am:116: error: DX_COND_man does not appear in AM_CONDITIONAL

Makefile.am:121: error: DX_COND_rtf does not appear in AM_CONDITIONAL

Makefile.am:126: error: DX_COND_xml does not appear in AM_CONDITIONAL

Makefile.am:131: error: DX_COND_ps does not appear in AM_CONDITIONAL

Makefile.am:152: error: DX_COND_pdf does not appear in AM_CONDITIONAL

Makefile.am:173: error: DX_COND_latex does not appear in AM_CONDITIONAL

inst/Makefile.am:4: error: WITH_INST_CTA does not appear in AM_CONDITIONAL
inst/Makefile.am:7: error: WITH_INST_LAT does not appear in AM_CONDITIONAL

inst/Makefile.am:10: error: WITH_INST_MWL does not appear in AM_CONDITIONAL

inst/Makefile.am:13: error: WITH_INST_COM does not appear in AM_CONDITIONAL

inst/com/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

inst/com/Makefile.am:39: error: Libtool library used but 'LIBTOOL' is undefined

inst/com/Makefile.am:39:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

inst/com/Makefile.am:39:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

inst/com/Makefile.am:39:   If 'LT_INIT' is in 'configure.ac', make sure

inst/com/Makefile.am:39:   its definition is in aclocal's search path.

inst/com/Makefile.am: installing './depcomp'

/opt/local/share/automake-1.13/am/depend2.am: error: am__fastdepCXX does not appear in AM_CONDITIONAL

/opt/local/share/automake-1.13/am/depend2.am:   The usual way to define 'am__fastdepCXX' is to add 'AC_PROG_CXX'

/opt/local/share/automake-1.13/am/depend2.am:   to 'configure.ac' and run 'aclocal' and 'autoconf' again

/opt/local/share/automake-1.13/am/depend2.am: error: AMDEP does not appear in AM_CONDITIONAL

/opt/local/share/automake-1.13/am/depend2.am:   The usual way to define 'AMDEP' is to add one of the compiler tests

/opt/local/share/automake-1.13/am/depend2.am:     AC_PROG_CC, AC_PROG_CXX, AC_PROG_OBJC, AC_PROG_OBJCXX,

/opt/local/share/automake-1.13/am/depend2.am:     AM_PROG_AS, AM_PROG_GCJ, AM_PROG_UPC

/opt/local/share/automake-1.13/am/depend2.am:   to 'configure.ac' and run 'aclocal' and 'autoconf' again

inst/cta/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

inst/cta/Makefile.am:87: error: Libtool library used but 'LIBTOOL' is undefined

inst/cta/Makefile.am:87:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

inst/cta/Makefile.am:87:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

inst/cta/Makefile.am:87:   If 'LT_INIT' is in 'configure.ac', make sure

inst/cta/Makefile.am:87:   its definition is in aclocal's search path.

inst/lat/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

inst/lat/Makefile.am:72: error: Libtool library used but 'LIBTOOL' is undefined

inst/lat/Makefile.am:72:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

inst/lat/Makefile.am:72:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

inst/lat/Makefile.am:72:   If 'LT_INIT' is in 'configure.ac', make sure

inst/lat/Makefile.am:72:   its definition is in aclocal's search path.

inst/mwl/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

inst/mwl/Makefile.am:28: error: Libtool library used but 'LIBTOOL' is undefined

inst/mwl/Makefile.am:28:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

inst/mwl/Makefile.am:28:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

inst/mwl/Makefile.am:28:   If 'LT_INIT' is in 'configure.ac', make sure

inst/mwl/Makefile.am:28:   its definition is in aclocal's search path.

pyext/Makefile.am:30: error: WITH_PYTHON does not appear in AM_CONDITIONAL

pyext/Makefile.am:33: error: WITH_INST_MWL does not appear in AM_CONDITIONAL

pyext/Makefile.am:36: error: WITH_INST_CTA does not appear in AM_CONDITIONAL

pyext/Makefile.am:39: error: WITH_INST_LAT does not appear in AM_CONDITIONAL

pyext/Makefile.am:42: error: WITH_INST_COM does not appear in AM_CONDITIONAL

pyext/Makefile.am:74: error: HAVE_SWIG does not appear in AM_CONDITIONAL

pyext/Makefile.am:104: error: HAVE_SWIG does not appear in AM_CONDITIONAL

pyext/Makefile.am:115: error: WITH_INST_MWL does not appear in AM_CONDITIONAL

pyext/Makefile.am:123: error: WITH_INST_CTA does not appear in AM_CONDITIONAL

pyext/Makefile.am:131: error: WITH_INST_LAT does not appear in AM_CONDITIONAL

pyext/Makefile.am:139: error: WITH_INST_COM does not appear in AM_CONDITIONAL

pyext/Makefile.am:69: warning: shell ls gammalib/*.Pi 2> /dev/null: non-POSIX variable name

pyext/Makefile.am:69: (probably a GNU make extension)

src/Makefile.am:33: error: WITH_INST_MWL does not appear in AM_CONDITIONAL

src/Makefile.am:36: error: WITH_INST_CTA does not appear in AM_CONDITIONAL

src/Makefile.am:39: error: WITH_INST_LAT does not appear in AM_CONDITIONAL

src/Makefile.am:42: error: WITH_INST_COM does not appear in AM_CONDITIONAL

src/Makefile.am:7: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/Makefile.am:52: error: Libtool library used but 'LIBTOOL' is undefined

src/Makefile.am:52:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/Makefile.am:52:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/Makefile.am:52:   If 'LT_INIT' is in 'configure.ac', make sure

src/Makefile.am:52:   its definition is in aclocal's search path.

src/app/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/app/Makefile.am:16: error: Libtool library used but 'LIBTOOL' is undefined

src/app/Makefile.am:16:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/app/Makefile.am:16:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/app/Makefile.am:16:   If 'LT_INIT' is in 'configure.ac', make sure

src/app/Makefile.am:16:   its definition is in aclocal's search path.

src/base/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/base/Makefile.am:13: error: Libtool library used but 'LIBTOOL' is undefined
src/base/Makefile.am:13:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/base/Makefile.am:13:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/base/Makefile.am:13:   If 'LT_INIT' is in 'configure.ac', make sure

src/base/Makefile.am:13:   its definition is in aclocal's search path.

src/fits/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/fits/Makefile.am:43: error: Libtool library used but 'LIBTOOL' is undefined

src/fits/Makefile.am:43:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/fits/Makefile.am:43:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/fits/Makefile.am:43:   If 'LT_INIT' is in 'configure.ac', make sure

src/fits/Makefile.am:43:   its definition is in aclocal's search path.

src/linalg/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/linalg/Makefile.am:19: error: Libtool library used but 'LIBTOOL' is undefined

src/linalg/Makefile.am:19:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/linalg/Makefile.am:19:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/linalg/Makefile.am:19:   If 'LT_INIT' is in 'configure.ac', make sure

src/linalg/Makefile.am:19:   its definition is in aclocal's search path.

src/model/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/model/Makefile.am:42: error: Libtool library used but 'LIBTOOL' is undefined

src/model/Makefile.am:42:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/model/Makefile.am:42:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/model/Makefile.am:42:   If 'LT_INIT' is in 'configure.ac', make sure

src/model/Makefile.am:42:   its definition is in aclocal's search path.

src/numerics/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/numerics/Makefile.am:16: error: Libtool library used but 'LIBTOOL' is undefined

src/numerics/Makefile.am:16:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/numerics/Makefile.am:16:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/numerics/Makefile.am:16:   If 'LT_INIT' is in 'configure.ac', make sure

src/numerics/Makefile.am:16:   its definition is in aclocal's search path.

src/obs/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/obs/Makefile.am:37: error: Libtool library used but 'LIBTOOL' is undefined

src/obs/Makefile.am:37:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/obs/Makefile.am:37:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/obs/Makefile.am:37:   If 'LT_INIT' is in 'configure.ac', make sure

src/obs/Makefile.am:37:   its definition is in aclocal's search path.

src/opt/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/opt/Makefile.am:15: error: Libtool library used but 'LIBTOOL' is undefined

src/opt/Makefile.am:15:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/opt/Makefile.am:15:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/opt/Makefile.am:15:   If 'LT_INIT' is in 'configure.ac', make sure

src/opt/Makefile.am:15:   its definition is in aclocal's search path.

src/sky/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/sky/Makefile.am:24: error: Libtool library used but 'LIBTOOL' is undefined

src/sky/Makefile.am:24:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/sky/Makefile.am:24:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/sky/Makefile.am:24:   If 'LT_INIT' is in 'configure.ac', make sure

src/sky/Makefile.am:24:   its definition is in aclocal's search path.

src/support/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/support/Makefile.am:16: error: Libtool library used but 'LIBTOOL' is undefined

src/support/Makefile.am:16:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/support/Makefile.am:16:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/support/Makefile.am:16:   If 'LT_INIT' is in 'configure.ac', make sure

src/support/Makefile.am:16:   its definition is in aclocal's search path.

src/test/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/test/Makefile.am:15: error: Libtool library used but 'LIBTOOL' is undefined

src/test/Makefile.am:15:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/test/Makefile.am:15:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/test/Makefile.am:15:   If 'LT_INIT' is in 'configure.ac', make sure

src/test/Makefile.am:15:   its definition is in aclocal's search path.

src/xml/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

src/xml/Makefile.am:20: error: Libtool library used but 'LIBTOOL' is undefined

src/xml/Makefile.am:20:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'

src/xml/Makefile.am:20:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.

src/xml/Makefile.am:20:   If 'LT_INIT' is in 'configure.ac', make sure

src/xml/Makefile.am:20:   its definition is in aclocal's search path.

test/Makefile.am:8: error: WITH_INST_MWL does not appear in AM_CONDITIONAL

test/Makefile.am:17: error: WITH_INST_CTA does not appear in AM_CONDITIONAL

test/Makefile.am:26: error: WITH_INST_LAT does not appear in AM_CONDITIONAL
test/Makefile.am:35: error: WITH_INST_COM does not appear in AM_CONDITIONAL

test/Makefile.am:46: error: WITH_PYTHON does not appear in AM_CONDITIONAL

test/Makefile.am:56: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')

parallel-tests: installing './test-driver'

/opt/local/share/automake-1.13/am/check2.am: error: am__EXEEXT does not appear in AM_CONDITIONAL

History

#1 - 02/21/2013 01:28 AM - Knödlseder Jürgen

This problems seems to occur also for others:

http://trac.macports.org/ticket/37428

https://trac.macports.org/ticket/37434

Note also this:

The ?automake 1.13 release notes confirm that AM_CONFIG_HEADER, which has been superseded by AC_CONFIG_HEADERS for ten years, has

finally been removed.

Same problem happens with more ports, e.g., cppunit, faac, and flac. Changing their configure.in files from mentioning AM_CONFIG_HEADER to

AC_CONFIG_HEADERS appears to help work around the problem.

Can you try replacing AM_CONFIG_HEADER by AC_CONFIG_HEADERS?

#2 - 02/21/2013 06:36 AM - Deil Christoph

Changing AM_CONFIG_HEADER to AC_CONFIG_HEADERS in configure.ac works for autotools 1.13 .

Same fix for ctools.

I didn't test with older autotools versions, but it should be fine.

Everyone with an up-to-date autotools will run into this problem, so this could even warrant a gammalib 0.7.1 release?

#3 - 02/21/2013 07:57 AM - Knödlseder Jürgen

Ok I have to check whether this works also on older systems. No new release is needed as this step needs not to be done for released code. You

may check by downloading the last release from SourceForge.

#4 - 02/22/2013 12:45 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- % Done changed from 0 to 100

I replaced AM_CONFIG_HEADER by AC_CONFIG_HEADERS in configure.ac for GammaLib and ctools. Goes without problems through the

Continuous Integration, so I guess that the change is fine.

#5 - 01/08/2014 08:53 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
